"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = replaceUi;

var _utils = require("../utils");

var _propTypes = require("prop-types");

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Replace original field in uiSchema with defined configuration
 *
 * @param field
 * @param schema
 * @param uiSchema
 * @param conf
 * @returns {{schema: *, uiSchema: *}}
 */
function replaceUi(_ref, schema, uiSchema) {
  var field = _ref.field,
      conf = _ref.conf;

  (0, _utils.toArray)(field).forEach(function (f) {
    return uiSchema[f] = conf;
  });
}

if ((0, _utils.isDevelopment)()) {
  replaceUi.propTypes = {
    field: _propTypes2.default.oneOfType([_propTypes2.default.string, _propTypes2.default.arrayOf(_propTypes2.default.string)]).isRequired,
    conf: _propTypes2.default.object.isRequired
  };

  replaceUi.validate = (0, _utils.validateFields)("replaceUi");
}