"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isDevelopment = isDevelopment;
exports.toArray = toArray;
exports.toError = toError;
exports.validateFields = validateFields;
function isDevelopment() {
  return process.env.NODE_ENV !== "production";
}

function toArray(field) {
  if (Array.isArray(field)) {
    return field;
  } else {
    return [field];
  }
}

function toError(message) {
  if (isDevelopment()) {
    throw new ReferenceError(message);
  } else {
    console.error(message);
  }
}

function validateFields(action) {
  return function (_ref, schema) {
    var field = _ref.field;

    if (Array.isArray(field)) {
      field.filter(function (f) {
        return schema && schema.properties && schema.properties[f] === undefined;
      }).forEach(function (f) {
        return toError("Field  \"" + f + "\" is missing from schema on \"" + action + "\"");
      });
    } else if (schema && schema.properties && schema.properties[field] === undefined) {
      toError("Field  \"" + field + "\" is missing from schema on \"" + action + "\"");
    }
  };
}